%define build_subpixel 0


%define major	6
%define libname	%mklibname freetype %{major}
%define develname %mklibname -d freetype %{major}
%define staticdevelname %mklibname -d -s freetype %{major}

%define git_url git://git.sv.gnu.org/freetype/freetype2.git

Name:		freetype2
Summary:	A free and portable TrueType font rendering engine
Version:	2.7.1
Release:	%mkrel 1
License:	FreeType License/GPL
URL:		http://www.freetype.org/
Source0:	http://downloads.sourceforge.net/freetype/freetype-%{version}.tar.xz
Source1:	http://downloads.sourceforge.net/freetype/freetype-doc-%{version}.tar.xz
Source2:	http://downloads.sourceforge.net/freetype/ft2demos-%{version}.tar.xz
Patch0:		ft2demos-2.3.12-mathlib.diff
BuildRequires:	zlib-devel
BuildRequires:	pkgconfig
BuildRequires:	libx11-devel
BuildRequires:	bzip2-devel
BuildRequires:	libpng-devel
Group:		System/Libraries

%description
The FreeType2 engine is a free and portable TrueType font rendering engine.
It has been developed to provide TT support to a great variety of
platforms and environments. Note that FreeType2 is a library, not a
stand-alone application, though some utility applications are included

%package -n %{libname}
Summary:	Shared libraries for a free and portable TrueType font rendering engine
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
The FreeType2 engine is a free and portable TrueType font rendering
engine.  It has been developed to provide TT support to a great
variety of platforms and environments. Note that FreeType2 is a
library, not a stand-alone application, though some utility
applications are included

%package -n %{develname}
Summary:	Header files and static library for development with FreeType2
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Requires:	zlib-devel
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package is only needed if you intend to develop or compile applications
which rely on the FreeType2 library. If you simply want to run existing
applications, you won't need this package.

%package -n %{staticdevelname}
Summary:	Static libraries for programs which will use the FreeType2 library
Group:		Development/Libraries
Requires:	%{libname}-devel = %{version}
Obsoletes:	%{name}-static-devel
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n %{staticdevelname}
This package includes the static libraries necessary for 
developing programs which will use the FreeType2 library.

If you are going to develop programs which use the FreeType2 library
you should install freetype2-devel.  You'll also need to have the 
freetype2 package installed.

%package demos
Summary:	A collection of FreeType demos
Group:		File tools

%description demos
The FreeType engine is a free and portable font rendering engine, developed to
provide advanced font support for a variety of platforms and environments. The
demos package includes a set of useful small utilities showing various
capabilities of the FreeType library.

%prep
%setup -q -n freetype-%version -b 1 -a2

pushd ft2demos-%{version}
%patch0 -p0
popd

%if %{build_subpixel}
perl -pi -e 's|^/\* #define FT_CONFIG_OPTION_SUBPIXEL_RENDERING \*/| #define FT_CONFIG_OPTION_SUBPIXEL_RENDERING|' include/freetype/config/ftoption.h
%endif

%build

%configure2_5x
%make

pushd ft2demos-%{version}
%make X11_PATH=%{_prefix} TOP_DIR=".."
popd

%install
rm -rf %buildroot
%makeinstall_std

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/freetype-config

%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/freetype2/freetype/config/ftconfig.h
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/freetype2/freetype/config/ftoption.h

install -d $RPM_BUILD_ROOT/%{_bindir}

for ftdemo in ftbench ftdiff ftdump ftgamma ftgrid ftlint ftmulti ftstring ftvalid ftview; do
    builds/unix/libtool --mode=install install -m 755 ft2demos-%{version}/bin/$ftdemo $RPM_BUILD_ROOT/%{_bindir}
done

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%doc ../freetype-%{version}/docs/*
%{_bindir}/freetype-config
%{_libdir}/*.so
%dir %{_includedir}/freetype2
%{_includedir}/freetype2/*
%{_datadir}/aclocal/*
%{_mandir}/man1/freetype-config.1*
%{_libdir}/pkgconfig/*
%multiarch %multiarch_bindir/freetype-config
%multiarch %dir %multiarch_includedir/freetype2
%multiarch %multiarch_includedir/freetype2/*

%files -n %{staticdevelname}
%{_libdir}/*.a

%files demos
%{_bindir}/ftbench
%{_bindir}/ftdiff
%{_bindir}/ftdump
%{_bindir}/ftgamma
%{_bindir}/ftgrid
%{_bindir}/ftlint
%{_bindir}/ftmulti
%{_bindir}/ftstring
%{_bindir}/ftvalid
%{_bindir}/ftview

%clean
rm -rf %buildroot

%posttrans -n %{libname}
fc-cache -f > /dev/null 2>&1 


%changelog
* Tue Feb 14 2017 adrianomorselli <adrianomorselli> 2.7.1-1uplos2017
- update
- removed old stuff
